
#### Incident Fields

##### New: Vectra Detection Count

##### New: Vectra Assignment ID

##### New: Vectra Sensors

##### New: Vectra Assignment Resolved By

##### New: Vectra Host Active Traffic

##### New: Vectra Privilege Category

##### New: Vectra Host Key Asset

##### New: Vectra Assigned By

##### New: Vectra Detection Details

##### New: Vectra Host Artifact Set

##### New: Vectra Groups

##### New: Vectra Last Detection Timestamp

##### New: Vectra Assigned To

##### New: Vectra Service Access History

##### New: Vectra Assignment Resolved Date

##### New: Vectra Host Account Access History

##### New: Vectra Account Host Access History

##### New: Vectra Detection Profile

##### New: Vectra Host Targets Key Asset

##### New: Vectra Account Type

##### New: Vectra Assignment Outcome

##### New: Vectra Host Previous IPs

##### New: Vectra Entity Type

##### New: Vectra Assigned Date

##### New: Vectra Privilege Level


#### Incident Types

##### Vectra Host

- Updated the incident type for the new layout and attached playbook.

##### Vectra Account

- Updated the incident type for the new layout and attached playbook.

#### Integrations

##### Vectra Detect

- Added the parameter to set the lookback time.
- Added the parameters to filter incidents for Vectra Account and Host entities.
- Added the validation for the parameters.
- Updated the fetch incidents logic to handle duplication of incidents.
- Added the support for the bi-directional mirroring.
- Added the retry mechanism for 429 and 5xx errors.
- Updated the client module to add header in requests mentioning the integration version and platform name.
- Added the following set of commands:
  - ***vectra-account-note-add***
  - ***vectra-host-note-add***
  - ***vectra-detection-note-add***
  - ***vectra-account-note-update***
  - ***vectra-host-note-update***
  - ***vectra-detection-note-update***
  - ***vectra-account-note-list***
  - ***vectra-host-note-list***
  - ***vectra-detection-note-list***
  - ***vectra-account-note-remove***
  - ***vectra-host-note-remove***
  - ***vectra-detection-note-remove***
  - ***vectra-account-tag-list***
  - ***vectra-host-tag-list***
  - ***vectra-detection-tag-list***
  - ***vectra-account-markall-detections-asfixed***
  - ***vectra-host-markall-detections-asfixed***
  - ***vectra-group-list***
  - ***vectra-group-assign***
  - ***vectra-group-unassign***
- Updated the Docker image to: *demisto/python3:3.11.10.111039*.

#### Layouts

##### New: Vectra Account

##### New: Vectra Host

#### Mappers

##### Vectra Detect - Incoming Mapper

- Updated the mapper to populate the new fields.

#### Playbooks

##### New: Add Note - Vectra Detect

- New: This playbook will add a note in Vectra for an entity based on its type.

##### New: Close All Duplicate XSOAR Incidents - Vectra Detect

- New: This playbook will clean up all incidents in XSOAR by closing duplicate incidents from Vectra Detect.

##### New: Close Duplicate XSOAR Incidents - Vectra Detect

- New: This playbook is called from the Close All Duplicate XSOAR Incidents - Vectra Detect playbook. It will close the duplicate incidents in XSOAR and resolve its assignment in Vectra.

##### New: Dispatch Incident - Vectra Detect

- New: This playbook is called from the Process Incident - Vectra Detect playbook. It will fetch all active detections for the entity under investigation. It will then assign the entity to a user; if an assignment already exists, it will update that assignment and add a note in Vectra.

##### New: Process Incident - Vectra Detect

- New: This playbook is used to initiate the processing of an incident. This playbook runs when a pending incident is selected for investigation. It will change the state from pending to active and it will list the available users in Vectra and request the user ID to use for assignment. Once the data collection is complete, it will call the Dispatch Incident - Vectra Detect playbook.

#### Scripts

##### New: VectraDetectAddNotesInLayouts

- New: This script allows to add Entity notes in the layout.

##### New: VectraDetectCloseDuplicateIncidents

- New: This script closes duplicate incidents in XSOAR while resolving the assignment for the corresponding Vectra entity.

##### New: VectraDetectDisplayDetections

- New: This script enables the display of detection details, available in the context, in the form of a markdown table.
